#!/bin/sh

# prepares a snapshot of Polygraph code exported from CVS for export to users
# runs 'cvs export' for external modules used by Polygraph

pwd
echo -n 'Continue with removing not-for-export stuff? '
read answ
if test "x$answ" != "xyes"
then
	echo "aborting.".
	exit 1;
fi

if test -d CVS
then
	echo "Will not run $0 in a CVS-controlled directory"
	exit 2;
fi

if ! test -d src
then
	echo "$0 must be run from the top-level distribution directory"
	exit 3;
fi


# suck in module names and tags
. ./modules.sh


cd src
for i in $Package_modules
do
	if test -d $i
	then
		echo "warning: skipping already present module $i"
	else
		tagv=`echo "\\\$${i}_tag"`;
		tag=`eval echo $tagv`;
		sh -x -e -c "cvs -Q export -r "$tag" -d $i TmfBase/$i"
	fi
done
cd -

set -e
set -x

rm TODO; touch TODO
rm -r packaging
rm archive-take.sh
rm src/probe/connprobe.cc
rm post-checkout.sh

find ./ -name .cvsignore | xargs rm
#find ./ -name "*.mmm" | xargs rm

rm export.sh

set +x
set +e
